"""
Styles for the LumiSync GUI.
This module contains styling constants and theme-related functionality.
"""

# Colors
DARK_BG = "#1E1E1E"
LIGHT_BG = "#F0F0F0"
PRIMARY_COLOR = "#3B8ED0"
SECONDARY_COLOR = "#5C5C5C"
SUCCESS_COLOR = "#2ECC71"
WARNING_COLOR = "#F39C12"
ERROR_COLOR = "#E74C3C"

# Fonts
DEFAULT_FONT = ("Segoe UI", 10)
HEADER_FONT = ("Segoe UI", 16, "bold")
SUBHEADER_FONT = ("Segoe UI", 12, "bold")
BUTTON_FONT = ("Segoe UI", 10)

# Padding and margins
SMALL_PAD = 5
MEDIUM_PAD = 10
LARGE_PAD = 20

# Button sizes
SMALL_BUTTON = (100, 30)
MEDIUM_BUTTON = (150, 35)
LARGE_BUTTON = (200, 40)

# Widget styles
def configure_styles():
    """Configure styles for the application."""

# Theme management
def set_theme(theme):
    """Set the application theme."""
